package com.alibaba.druid.support.monitor;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class MonitorContext {
   public static String DEFAULT_DOMAIN;
   private final Map<String, Object> attributes = new HashMap();
   private String domain = "default";
   private String app = "default";
   private String cluster = "default";
   private String host;
   private int pid;
   private Date collectTime;
   private Date startTime;

   public Date getCollectTime() {
      return this.collectTime;
   }

   public void setCollectTime(Date collectTime) {
      this.collectTime = collectTime;
   }

   public Date getStartTime() {
      return this.startTime;
   }

   public void setStartTime(Date startTime) {
      this.startTime = startTime;
   }

   public Map<String, Object> getAttributes() {
      return this.attributes;
   }

   public int getPID() {
      return this.pid;
   }

   public void setPID(int pid) {
      this.pid = pid;
   }

   public String getHost() {
      return this.host;
   }

   public void setHost(String host) {
      this.host = host;
   }

   public int getPid() {
      return this.pid;
   }

   public void setPid(int pid) {
      this.pid = pid;
   }

   public String getDomain() {
      return this.domain;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public String getApp() {
      return this.app;
   }

   public void setApp(String app) {
      this.app = app;
   }

   public String getCluster() {
      return this.cluster;
   }

   public void setCluster(String cluster) {
      this.cluster = cluster;
   }
}
